/*********************************************************************
* Copyright (c) 2012, Impulse Accelerated Technologies, Inc.
* All Rights Reserved.
*
* co_type.c: Datatype functions.
*
* $Id: co_type.c,v 1.2 2012/10/19 14:11:50 edward.trexel Exp $
*
*********************************************************************/

#include "system.h"

#include <malloc.h>

#include "co.h"

co_type co_type_create(co_sort sort, unsigned int width)
{
	co_type type = (co_type) malloc(sizeof(co_type_t));
	if ( type != NULL ) {
  		type->sort = sort;
  		type->width = width;
  	}

  	return type;
}

