# Copyright (c) 2012, Impulse Accelerated Technologies, Inc.
# All Rights Reserved.


#
# ants_trigger_arch_module_callbacks.tcl
#

## ---------------------------------
#| * callback *
#| args 0 : module instance name
#| args 1 : path to the BSP directory
#| args 2 : driver sub directory
#|
proc generate_sw { args } {
   set module_name [lindex $args 0]

	if { [get_module_assignment embeddedsw.CMacro.USE_INTERNAL_CO_MEMORY_CONFIG] == 1 } {
		# config stream is not present on internal config and macros must be created for driver code
		log_default "generate_sw:Module $module_name is using internal co_memory configuration"
		# "<module_name>_" will be prefixed to macros
		add_module_systemh_line "CONFIG_BASE" 0
		add_module_systemh_line "CONFIG_USE_INTERNAL_CO_MEMORY_CONFIG" 1
            } else {
		log_default "generate_sw:Module $module_name is using external co_memory configuration"
            }
}
